Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 290337 - [QA] app-editors/nedit doesn't respect LDFLAGS and has several other qa issues
Summary: [QA] app-editors/nedit doesn't respect LDFLAGS and has several other qa issues
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard: sci overlay
Keywords: InOverlay
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2009-10-24 08:28 UTC by Justin Lecher
Modified: 2010-08-09 21:00 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
nedit-5.5_p20090914-r1.ebuild (nedit-5.5_p20090914-r1.ebuild,1.07 KB, text/plain)
2009-10-25 10:08 UTC, Justin Lecher
Details
nedit-ldflags.patch (nedit-ldflags.patch,800 bytes, patch)
2009-10-25 10:08 UTC, Justin Lecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Lecher gentoo-dev 2009-10-24 08:28:20 UTC
* QA Notice: Files built without respecting LDFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/bin/nedit
 * /usr/bin/neditc


   exeinto /usr/bin
   newexe source/nc neditc


I will take this package if nobody else will do it before.
Comment 1 Víctor Ostorga (RETIRED) gentoo-dev 2009-10-25 02:16:48 UTC
Why don't fix it in the main tree? 
I can be your proxy commiter
Comment 2 Justin Lecher gentoo-dev 2009-10-25 10:06:10 UTC
(In reply to comment #1)
> Why don't fix it in the main tree? 
> I can be your proxy commiter
> 

Take it and commit it.
I tried a couple of times to find a quick proxy but with only ~10% success. Now I am just waiting until the recruiter queue is worked off.
Comment 3 Justin Lecher gentoo-dev 2009-10-25 10:08:24 UTC
Created attachment 208189 [details]
nedit-5.5_p20090914-r1.ebuild
Comment 4 Justin Lecher gentoo-dev 2009-10-25 10:08:42 UTC
Created attachment 208190 [details, diff]
nedit-ldflags.patch
Comment 5 Víctor Ostorga (RETIRED) gentoo-dev 2009-10-25 17:35:32 UTC
Fixed. Thanks for the patch